Agent Governance Protocol
API ReferenceRegistry APIDelegations

Create delegation chain entry

Records a scoped sub-delegation from delegator_agent to delegate_agent. Rejected with 409 if the delegation violates scope or max_hops_remaining constraints.

POST
/agp/delegations

Authorization

AuthorizationBearer <token>

In: header

Scope: agp.registry.read, agp.registry.write

Header Parameters

Idempotency-Key?string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/agp/delegations" \  -H "Content-Type: application/json" \  -d '{    "type": "DelegationChain",    "delegation_id": "string",    "root_principal": "string",    "delegator_agent": "string",    "delegate_agent": "string",    "authority_scope": [      "string"    ],    "constraints": {},    "accepted_at": "2019-08-24T14:15:22Z",    "expires_at": "2019-08-24T14:15:22Z",    "signature_chain": [      "string"    ]  }'
{  "type": "DelegationChain",  "delegation_id": "string",  "parent_delegation_id": "string",  "root_principal": "string",  "delegator_agent": "string",  "delegate_agent": "string",  "authority_scope": [    "string"  ],  "constraints": {    "spend_limit": {      "currency": "string",      "amount": 0    },    "max_hops_remaining": 0  },  "accepted_at": "2019-08-24T14:15:22Z",  "expires_at": "2019-08-24T14:15:22Z",  "signature_chain": [    "string"  ]}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}